OLMConfig [operators.coreos.com/v1]
- Description
- OLMConfig is a resource responsible for configuring OLM.
- Type
object- Required
metadata
Specification
.spec
- Description
- OLMConfigSpec is the spec for an OLMConfig resource.
- Type
object
.spec.features
- Description
- Features contains the list of configurable OLM features.
- Type
object
.status
- Description
- OLMConfigStatus is the status for an OLMConfig resource.
- Type
object
.status.conditions
- Type
array
.status.conditions[]
- Description
- Condition contains details for one aspect of the current state of this API Resource. --- This struct is intended for direct use as an array at the field path .status.conditions. For example, type FooStatus struct{ // Represents the observations of a foo's current state. // Known .status.conditions.type are: "Available", "Progressing", and "Degraded" // +patchMergeKey=type // +patchStrategy=merge // +listType=map // +listMapKey=type Conditions []metav1.Condition `json:"conditions,omitempty" patchStrategy:"merge" patchMergeKey:"type" protobuf:"bytes,1,rep,name=conditions"` // other fields }
- Type
object- Required
lastTransitionTimemessagereasonstatustype
API Endpoints
The following API endpoints are available:
/apis/operators.coreos.com/v1/olmconfigsDELETE: delete collection of OLMConfigGET: list objects of kind OLMConfigPOST: create a new OLMConfig
/apis/operators.coreos.com/v1/olmconfigs/{name}DELETE: delete the specified OLMConfigGET: read the specified OLMConfigPATCH: partially update the specified OLMConfigPUT: replace the specified OLMConfig
/apis/operators.coreos.com/v1/olmconfigs/{name}/statusGET: read status of the specified OLMConfigPATCH: partially update status of the specified OLMConfigPUT: replace status of the specified OLMConfig
/apis/operators.coreos.com/v1/olmconfigs
- HTTP method
DELETE- Description
- delete collection of OLMConfig
- HTTP responses
- HTTP method
GET- Description
- list objects of kind OLMConfig
- HTTP responses
- HTTP method
POST- Description
- create a new OLMConfig
- Query parameters
- Body parameters
- HTTP responses
/apis/operators.coreos.com/v1/olmconfigs/{name}
- HTTP method
DELETE- Description
- delete the specified OLMConfig
- Query parameters
- HTTP responses
- HTTP method
GET- Description
- read the specified OLMConfig
- HTTP responses
- HTTP method
PATCH- Description
- partially update the specified OLMConfig
- Query parameters
- HTTP responses
- HTTP method
PUT- Description
- replace the specified OLMConfig
- Query parameters
- Body parameters
- HTTP responses
/apis/operators.coreos.com/v1/olmconfigs/{name}/status
- HTTP method
GET- Description
- read status of the specified OLMConfig
- HTTP responses
- HTTP method
PATCH- Description
- partially update status of the specified OLMConfig
- Query parameters
- HTTP responses
- HTTP method
PUT- Description
- replace status of the specified OLMConfig
- Query parameters
- Body parameters
- HTTP responses